//medicao_efetivos.spec.js

'use strict';  
var //requisição de atributos e métodos
helper = require('../../helper/helper.js'),
autenticacao_po = require ('../../page-objects/autenticacao.po'),
elaboracao_cardapio_po = require ('../../page-objects/elaboracao_cardapio.po'),
retirada_planejamento_po = require ('../../page-objects/retirada_planejamento.po'),
geral_po = require ('../../page-objects/geral.po'),
geral_tecfood_po = require ('../../page-objects/geral.po'),
medicao_efetivos_po  = require ('../../page-objects/medicao_efetivos.po');



//Início dos Testes

describe ('Teste Medição de Efetivos - Login', function () {

	it ('Informa dados válidos de login e verifica se houve acesso à tela inicial', function () {
		autenticacao_po.login('joana.almeida@teknisa.com', '12');

		expect (autenticacao_po.telaInicial.getText()).toContain('Início');
	});
});


describe ('Teste Medição de Efetivos - Gera dados no Cardápio', function () {

	it ('Faz seleção de Cardápio e verifica acesso a tela de elaboração de cardápio', function () {
		geral_po.localizaTelaMenu('elaboração do cardápio');
		elaboracao_cardapio_po.selecionaTelaCard.click();
		helper.waitElementVisibility(geral_tecfood_po.filtraServico);
		geral_tecfood_po.filtraServico('DESJEJUM');
		geral_po.clicaEmConfirmar();
    	helper.waitElementVisibility(elaboracao_cardapio_po.telaInicialCardapio).toContain('Elaboração do Cardápio');

		expect (elaboracao_cardapio_po.telaInicialCardapio.getText()).toContain('Elaboração do Cardápio');
	});

//	it ('Insere prato no dia 28/10/2016 e confirma a inserção', function () {
//		elaboracao_cardapio_po.buscaPratoEInsere('ASSADO MARINADO');
//		geral_po.clicaEmSalvar();
//		browser.driver.sleep(3000);

//		expect (elaboracao_cardapio_page.selecionadia28.getText()).toContain('ASSADO MARINADO');
//	});
});

//describe ('Gera dados na Retirada (Planejamento) para Medição', function () {

//	it ('Filtra uma data que não contém outra retirada para o serviço "jantar 2. turno"', function () {
//		geral_page.localizaTelaMenu('retirada (planejamento)');
//		retirada_planejamento_page.seleconaTelaRetirada.click();
//		browser.driver.sleep(3000);
//		geral_page.filtraServico('jantar 2. turno');
//		geral_page.clicaEmFiltrar();
//		geral_page.clicaEmSim();
//		geral_page.clicaEmConfirmar();
//		browser.driver.sleep(3000);

//		expect (retirada_planejamento_page.tipoDePrato.isPresent()).toBe(true);
//	});

	//it ('Insere tipo de prato, prato, produto, quantidade consumida, confirma ação e verifica inclusão', function () {
	//	geral_page.filtraTipoDePrato('arroz');
	//	geral_page.filtraPrato('ALMONDEGA ASSADA');
	//	geral_page.filtraProduto('carne vegetal');
	//	retirada_planejamento_page.QtdeConsumida('2');
	//	geral_page.clicaEmSalvar();
	
	//	expect (retirada_planejamento_page.listaProdutoReti.getText()).toContain('ALMONDEGA ASSADA');
	//});
//});








