'use strict';

function efetivosPlanejamento(){

	var ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	var z = new ZeedhiAPIConstructor(browser, protractor);
	var retiradaPlanejamentoPage = require('./retiradaPlanejamento.po.js');
	var util = require('./util.po.js');
	var decache = require('decache');
	var self = this;

this.abrir = function(rotina = 'N'){  
		browser.waitForAngular();
		browser.sleep(2000);
		z.component.menu.open();
		z.component.menu.useSearch('Medição de Efetivos');
		z.component.menu.clickByLabel('Medição de Efetivos');

        browser.waitForAngular();//espera a pagina carregar completamente
	};

this.filtroInicial = function(data, nmservico){
	    decache('./retiradaPlanejamento.po.js');
	    var retiradaPlanejamentoPage = require('./retiradaPlanejamento.po.js');
	    retiradaPlanejamentoPage.selecionarServico(nmservico);
	    z.field.fieldFunctions.click('DTCARDAPIO');
	    z.field.calendar.clickDate(data, 'pt_br');
	    z.component.footer.clickRightActionByLabel('Filtro');
};

this.preencheEfetivos = function (clientes, funcionarios, doacoes) {
		
		browser.wait(element(by.id('grid-35054435228195666132480')).isDisplayed, 2 * 1000);
		//browser.sleep(3000);
		//z.widget.grid.editInlineFieldValue (clientes,'1','1', '35054435228195666132480' , false);
		var campoCli = element(by.css('#grid-35054435228195666132480 > div.body > div > div > div:nth-child(2) > div > input'));
		var campoFun = element(by.css('#grid-35054435228195666132480 > div.body > div > div > div:nth-child(3) > div > input'));
		var campoDoa = element(by.css('#grid-35054435228195666132480 > div.body > div > div > div:nth-child(4) > div > input'));

		z.util.clickElement(by.css('#grid-35054435228195666132480 > div.body > div > div > div:nth-child(2) > div'));
		campoCli.clear();
		campoCli.sendKeys(clientes);

		z.util.clickElement(by.css('#grid-35054435228195666132480 > div.body > div > div > div:nth-child(3) > div'));
		campoFun.clear();
		campoFun.sendKeys(funcionarios);

		z.util.clickElement(by.css('#grid-35054435228195666132480 > div.body > div > div > div:nth-child(4) > div'));
		campoDoa.clear();
		campoDoa.sendKeys(doacoes);
		campoDoa.sendKeys(protractor.Key.TAB);
		

};

this.preencheEfetivosFaturamento = function (comensaisFaturados, vendaVista) {
		//browser.sleep(3000);
		//z.widget.grid.editInlineFieldValue (clientes,'1','1', '35054435228195666132480' , false);
		
		var comenFat = $('#grid-35054435222819494182482 > div.body > div > div.tr.cell1.row-editing.currentRow > div:nth-child(2) > div > input');
		var vista = $('#grid-35054435222819494182482 > div.body > div > div.tr.cell1.row-editing.currentRow > div:nth-child(4) > div > input');
		
		z.util.clickElement(by.css('#grid-35054435222819494182482 > div.body > div > div.tr.cell1 > div:nth-child(2) > div'));
		comenFat.clear();
		comenFat.sendKeys(comensaisFaturados);
		
		z.util.clickElement(by.css('#grid-35054435222819494182482 > div.body > div > div.tr.cell1 > div:nth-child(4) > div'));
		vista.clear();
		vista.sendKeys(vendaVista);
};

this.encontraColuna = function(gridId, column, hasCheckbox) {
        hasCheckbox = z.util.validateOptionalParameter(hasCheckbox, false);
        if (hasCheckbox) {
            return by.css('#grid-' + gridId + '>div.body > div > div > div:nth-child(' + (column + 2));
        } else {
            return by.css('#grid-' + gridId + '>div.body > div > div > div:nth-child(' + (column + 1));
        }
    };

this.textoColuna = function(gridId, column, hasCheckbox, isHeader) {
        var locator;

        isHeader = z.util.validateOptionalParameter(isHeader, false);

        if (isHeader) {
            locator = this.getHeaderColumnLocator(gridId, column, hasCheckbox);
        } else {
            locator = this.encontraColuna(gridId, column, hasCheckbox);
        }

        return element(locator).getText();
    };

}

module.exports = new efetivosPlanejamento();

